(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6913,        205]
NotebookOptionsPosition[      5894,        180]
NotebookOutlinePosition[      6328,        197]
CellTagsIndexPosition[      6285,        194]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8099790722719026`*^9, 3.8099790817085705`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"78ddb4fe-c5d8-4e6c-b3e5-bf2052644b17"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"Range", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"R1", "=", 
  RowBox[{"RelBin", "[", 
   RowBox[{"\"\<a>b\>\"", ",", "A", ",", "A"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"R2", "=", 
  RowBox[{"RelBin", "[", 
   RowBox[{"\"\<a<b\>\"", ",", "A", ",", "A"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.809979086638343*^9, 3.809979122748452*^9}, {
  3.8099802334060316`*^9, 3.8099802501663446`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"da7f7738-b485-478f-8559-1771e794de39"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "3"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8099791308575096`*^9, {3.8099802345629363`*^9, 3.8099802793769093`*^9}},
 CellLabel->"Out[15]=",ExpressionUUID->"bc913e0b-80aa-4a1b-9314-48b2b65b3174"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8099791308575096`*^9, {3.8099802345629363`*^9, 3.8099802793808985`*^9}},
 CellLabel->"Out[16]=",ExpressionUUID->"11488234-332d-4b82-ba48-64a9e16cb0c3"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"RelacionComposicion", "[", 
   RowBox[{"R1_", ",", "R2_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Composicion", "=", 
       RowBox[{"{", "}"}]}], ",", "i", ",", "j"}], "}"}], ",", 
    RowBox[{
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "\[LessEqual]", 
        RowBox[{"Length", "[", "R2", "]"}]}], ",", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", 
           RowBox[{"Length", "[", "R1", "]"}]}], ",", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"R2", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "2"}], "]"}], "]"}], "\[Equal]", 
              RowBox[{"R1", "[", 
               RowBox[{"[", 
                RowBox[{"j", ",", "1"}], "]"}], "]"}]}], ",", 
             RowBox[{"Composicion", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"Composicion", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"R2", "[", 
                   RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
                  RowBox[{"R1", "[", 
                   RowBox[{"[", 
                    RowBox[{"j", ",", "2"}], "]"}], "]"}]}], "}"}]}], 
               "]"}]}]}], "]"}], ";", 
           RowBox[{"j", "++"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"i", "++"}]}]}], "]"}], ";", 
     RowBox[{"DeleteDuplicates", "[", "Composicion", "]"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.8099816348801613`*^9, 3.809981758177333*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"dc8a9eed-8357-49f0-81f8-33c189fa2a66"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"Range", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R1", "=", 
   RowBox[{"RelBin", "[", 
    RowBox[{"\"\<a>b\>\"", ",", "A", ",", "A"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R2", "=", 
   RowBox[{"RelBin", "[", 
    RowBox[{"\"\<a<b\>\"", ",", "A", ",", "A"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"RelacionComposicion", "[", 
  RowBox[{"R1", ",", "R2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8099817727337203`*^9, 3.8099817742854433`*^9}, {
  3.8099821908778334`*^9, 3.8099822060652075`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"6c41f892-ca11-472d-ae2f-761d406f9909"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "3"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8099817749364405`*^9, {3.8099821981079617`*^9, 3.809982209507718*^9}},
 CellLabel->"Out[26]=",ExpressionUUID->"08661e2c-098d-45bf-8d52-ce1752970880"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"9e587845-14d8-4d58-9a38-5b1928477e9c"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"78ddb4fe-c5d8-4e6c-b3e5-bf2052644b17"],
Cell[CellGroupData[{
Cell[785, 27, 560, 13, 216, "Input",ExpressionUUID->"da7f7738-b485-478f-8559-1771e794de39"],
Cell[1348, 42, 583, 17, 100, "Output",ExpressionUUID->"bc913e0b-80aa-4a1b-9314-48b2b65b3174"],
Cell[1934, 61, 583, 17, 100, "Output",ExpressionUUID->"11488234-332d-4b82-ba48-64a9e16cb0c3"]
}, Open  ]],
Cell[2532, 81, 1856, 49, 658, "Input",ExpressionUUID->"dc8a9eed-8357-49f0-81f8-33c189fa2a66"],
Cell[CellGroupData[{
Cell[4413, 134, 704, 18, 259, "Input",ExpressionUUID->"6c41f892-ca11-472d-ae2f-761d406f9909"],
Cell[5120, 154, 758, 23, 176, "Output",ExpressionUUID->"08661e2c-098d-45bf-8d52-ce1752970880"]
}, Open  ]]
}
]
*)

